#ifndef CLIB_DBPLAYER_PROTOS_H
#define CLIB_DBPLAYER_PROTOS_H

#ifndef	EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef DBPLAYER_H
#include <dbplayer/dbplayer.h>
#endif 

ULONG DBM_StartModule(APTR Module,ULONG Size,ULONG AudioModeID,ULONG AudioFrequency,ULONG Flags);
VOID DBM_StopModule(VOID);
VOID DBM_SetPosition(UWORD SongPos,UWORD PatternPos);
VOID DBM_SetVolume(WORD MasterVolume);
VOID DBM_SetVolume(WORD MasterVolume);
BOOL DBM_CheckPosition(WORD SongPos,WORD PatternPos);
WORD DBM_Get7Command(VOID);
VOID DBM_GetModuleAttrA(struct TagItem *Tags);

#endif
